std::hash(std::experimental::shared_ptr)(3)

NAME
std::hash(std::experimental::shared_ptr) - std::hash(std::experimental::shared_ptr)

Synopsis
   template<class T> struct (library fundamentals
   hash<std::experimental::shared_ptr<T>>; TS)
   The template specialization of std::hash for std::experimental::shared_ptr<T> allows
   users to obtain hashes of objects of type std::experimental::shared_ptr<T>.
   For a given std::experimental::shared_ptr<T> p, this specialization ensures that
   std::hash<std::experimental::shared_ptr<T>>()(p) == std::hash<T*>()(p.get()).

Example
    This section is incomplete
    Reason: no example

See also
   hash hash function object
   (C++11) (class template)